<!--

function Delegate(){}
Delegate.create=function(o,f){
var BXbrh=new Array();
var oroaU=arguments.length;
for(var i=2;i<oroaU;i++) BXbrh[i-2]=arguments[i];
return function(){
var oONRC=[].concat(arguments,BXbrh);
f.apply(o,oONRC);
}
}
Tween=function(obj,prop,func,begin,finish,duration,suffixe){
this.init(obj,prop,func,begin,finish,duration,suffixe)
}
var t=Tween.prototype;
t.obj=new Object();
t.prop='';
t.func=function(t,b,c,d){return c*t/d+b;};
t.begin=0;
t.change=0;
t.prevTime=0;
t.prevPos=0;
t.looping=false;
t.rtuMo=0;
t.SXcQA=0;
t.dDBjW=0;
t.tUJfC=0;
t.aaHtr=0;
t.FCHfd=0;
t.NZUFV=false;
t.name='';
t.suffixe='';
t.wxpfs=new Array();
t.setTime=function(t){
this.prevTime=this.SXcQA;
if(t>this.getDuration()){
if(this.looping){
this.rewind(t-this.rtuMo);
this.update();
this.jerKJ('onMotionLooped',{target:this,type:'onMotionLooped'});
}else{
this.SXcQA=this.rtuMo;
this.update();
this.stop();
this.jerKJ('onMotionFinished',{target:this,type:'onMotionFinished'});
}
}else if(t<0){
this.rewind();
this.update();
}else{
this.SXcQA=t;
this.update();
}
}
t.isRunning=function(){
return this.NZUFV;
}
t.getTime=function(){
return this.SXcQA;
}
t.setDuration=function(d){
this.rtuMo=(d==null||d<=0)?100000:d;
}
t.getDuration=function(){
return this.rtuMo;
}
t.setPosition=function(p){
this.prevPos=this.dDBjW;
var a=this.suffixe!=''?this.suffixe:'';
this.obj[this.prop]=Math.round(p)+a;
this.dDBjW=p;
this.jerKJ('onMotionChanged',{target:this,type:'onMotionChanged'});
}
t.getPosition=function(t){
if(t==undefined) t=this.SXcQA;
return this.func(t,this.begin,this.change,this.rtuMo);
};
t.setFinish=function(f){
this.change=f-this.begin;
};
t.geFinish=function(){
return this.begin+this.change;
};
t.init=function(obj,prop,func,begin,finish,duration,suffixe){
if(!arguments.length) return;
this.wxpfs=new Array();
this.addListener(this);
if(suffixe) this.suffixe=suffixe;
this.obj=obj;
this.prop=prop;
this.begin=begin;
this.dDBjW=begin;
this.setDuration(duration);
if(func!=null&&func!=''){
this.func=func;
}
this.setFinish(finish);
}
t.start=function(){
this.rewind();
this.startEnterFrame();
this.jerKJ('onMotionStarted',{target:this,type:'onMotionStarted'});
}
t.rewind=function(t){
this.stop();
this.SXcQA=(t==undefined)?0:t;
this.fixTime();
this.update();
}
t.fforward=function(){
this.SXcQA=this.rtuMo;
this.fixTime();
this.update();
}
t.update=function(){
this.setPosition(this.getPosition(this.SXcQA));
}
t.startEnterFrame=function(){
this.stopEnterFrame();
this.NZUFV=true;
this.onEnterFrame();
}
t.onEnterFrame=function(){
if(this.NZUFV){
this.nextFrame();
wa_timeout(Delegate.create(this,this.onEnterFrame),0);
}
}
t.nextFrame=function(){
this.setTime((this.getTimer()-this.aaHtr)/1000);
}
t.stop=function(){
this.stopEnterFrame();
this.jerKJ('onMotionStopped',{target:this,type:'onMotionStopped'});
}
t.stopEnterFrame=function(){
this.NZUFV=false;
}
t.continueTo=function(finish,duration){
this.begin=this.dDBjW;
this.setFinish(finish);
if(this.rtuMo!=undefined)
this.setDuration(duration);
this.start();
}
t.resume=function(){
this.fixTime();
this.startEnterFrame();
this.jerKJ('onMotionResumed',{target:this,type:'onMotionResumed'});
}
t.yoyo=function(){
this.continueTo(this.begin,this.SXcQA);
}
t.addListener=function(o){
this.removeListener(o);
return this.wxpfs.push(o);
}
t.removeListener=function(o){
var a=this.wxpfs;
var i=a.length;
while(i--){
if(a[i]==o){
a.splice(i,1);
return true;
}
}
return false;
}
t.jerKJ=function(){
var arr=new Array();
for(var i=0;i<arguments.length;i++){
arr.push(arguments[i])
}
var e=arr.shift();
var a=this.wxpfs;
var l=a.length;
for(var i=0;i<l;i++){
if(a[i][e])
a[i][e].apply(a[i],arr);
}
}
t.fixTime=function(){
this.aaHtr=this.getTimer()-this.SXcQA*1000;
}
t.getTimer=function(){
return new Date().getTime()-this.SXcQA;
}
Tween.backEaseIn=function(t,b,c,d,a,p){
if(s==undefined) var s=1.70158;
return c*(t/=d)*t*((s+1)*t-s)+b;
}
Tween.backEaseOut=function(t,b,c,d,a,p){
if(s==undefined) var s=1.70158;
return c*((t=t/d-1)*t*((s+1)*t+s)+1)+b;
}
Tween.backEaseInOut=function(t,b,c,d,a,p){
if(s==undefined) var s=1.70158;
if((t/=d/2)<1) return c/2*(t*t*(((s*=(1.525))+1)*t-s))+b;
return c/2*((t-=2)*t*(((s*=(1.525))+1)*t+s)+2)+b;
}
Tween.elasticEaseIn=function(t,b,c,d,a,p){
if(t==0) return b;
if((t/=d)==1) return b+c;
if(!p) p=d*.3;
if(!a||a<Math.abs(c)){
a=c;var s=p/4;
}
else
var s=p/(2*Math.PI)*Math.asin(c/a);
return-(a*Math.pow(2,10*(t-=1))*Math.sin((t*d-s)*(2*Math.PI)/p))+b;
}
Tween.elasticEaseOut=function(t,b,c,d,a,p){
if(t==0) return b;if((t/=d)==1) return b+c;if(!p) p=d*.3;
if(!a||a<Math.abs(c)){a=c;var s=p/4;}
else var s=p/(2*Math.PI)*Math.asin(c/a);
return(a*Math.pow(2,-10*t)*Math.sin((t*d-s)*(2*Math.PI)/p)+c+b);
}
Tween.elasticEaseInOut=function(t,b,c,d,a,p){
if(t==0) return b;if((t/=d/2)==2) return b+c;if(!p) var p=d*(.3*1.5);
if(!a||a<Math.abs(c)){var a=c;var s=p/4;}
else var s=p/(2*Math.PI)*Math.asin(c/a);
if(t<1) return-.5*(a*Math.pow(2,10*(t-=1))*Math.sin((t*d-s)*(2*Math.PI)/p))+b;
return a*Math.pow(2,-10*(t-=1))*Math.sin((t*d-s)*(2*Math.PI)/p)*.5+c+b;
}
Tween.bounceEaseOut=function(t,b,c,d){
if((t/=d)<(1/2.75)){
return c*(7.5625*t*t)+b;
}else if(t<(2/2.75)){
return c*(7.5625*(t-=(1.5/2.75))*t+.75)+b;
}else if(t<(2.5/2.75)){
return c*(7.5625*(t-=(2.25/2.75))*t+.9375)+b;
}else{
return c*(7.5625*(t-=(2.625/2.75))*t+.984375)+b;
}
}
Tween.bounceEaseIn=function(t,b,c,d){
return c-Tween.bounceEaseOut(d-t,0,c,d)+b;
}
Tween.bounceEaseInOut=function(t,b,c,d){
if(t<d/2) return Tween.bounceEaseIn(t*2,0,c,d)*.5+b;
else return Tween.bounceEaseOut(t*2-d,0,c,d)*.5+c*.5+b;
}
Tween.strongEaseInOut=function(t,b,c,d){
return c*(t/=d)*t*t*t*t+b;
}
Tween.regularEaseIn=function(t,b,c,d){
return c*(t/=d)*t+b;
}
Tween.regularEaseOut=function(t,b,c,d){
return-c*(t/=d)*(t-2)+b;
}
Tween.regularEaseInOut=function(t,b,c,d){
if((t/=d/2)<1) return c/2*t*t+b;
return-c/2*((--t)*(t-2)-1)+b;
}
Tween.strongEaseIn=function(t,b,c,d){
return c*(t/=d)*t*t*t*t+b;
}
Tween.strongEaseOut=function(t,b,c,d){
return c*((t=t/d-1)*t*t*t*t+1)+b;
}
Tween.strongEaseInOut=function(t,b,c,d){
if((t/=d/2)<1) return c/2*t*t*t*t*t+b;
return c/2*((t-=2)*t*t*t*t+2)+b;
}
OpacityTween.prototype=new Tween();
OpacityTween.prototype.constructor=Tween;
OpacityTween.superclass=Tween.prototype;
function OpacityTween(obj,func,dXZKP,CkfMl,rtuMo){
this.targetObject=obj;
this.init(new Object(),'a',func,dXZKP,CkfMl,rtuMo);
this.onMotionChanged=function(evt){
var v=evt.target.dDBjW;
var t=this.targetObject;
v=Math.round(v*100)/100
t.style['opacity']=v/100;
t.style['-moz-opacity']=v/100;
html_SetOpacity(t,v/100);
}
}
function html_canvas(mGNep,omYvD,JmNhn)
{
return "<canvas id='"+mGNep+"' width='"+omYvD+"' height='"+JmNhn+"'></canvas>"
}
function WA_canvas(mGNep,omYvD,JmNhn)
{
document.write(html_canvas(mGNep,omYvD,JmNhn))
}
function DGLNg(IgrlA,x0,y0,lx0,ly0)
{
var x=x0+lx0/2;var y=y0+ly0/2;var lx=lx0/2;var ly=ly0/2;var radius=lx0/2;var yRadius=ly0/2;
IgrlA.beginPath();
var theta,xrCtrl,yrCtrl,angleMid,px,py,cx,cy;
theta=Math.PI/4;xrCtrl=radius/Math.cos(theta/2);yrCtrl=yRadius/Math.cos(theta/2);var angle=0;
IgrlA.moveTo(x+radius,y);
for(var i=0;i<8;i++){
angle+=theta;angleMid=angle-(theta/2);cx=x+Math.cos(angleMid)*xrCtrl;cy=y+Math.sin(angleMid)*yrCtrl;px=x+Math.cos(angle)*radius;py=y+Math.sin(angle)*yRadius;
IgrlA.quadraticCurveTo(cx,cy,px,py);
}
}
function sJYEc(c,x,y,lx,ly,arc,clowckwise)
{
c.beginPath()
iwlCu(c,x,y,lx,ly,arc,clowckwise)
}
function iwlCu(c,x,y,lx,ly,arc,clowckwise)
{
if(clowckwise)
{
c.moveTo(x+arc,y);c.lineTo(x+lx-arc,y);c.quadraticCurveTo(x+lx,y,x+lx,y+arc);c.lineTo(x+lx,y+ly-arc);c.quadraticCurveTo(x+lx,y+ly,x+lx-arc,y+ly);c.lineTo(x+arc,y+ly);c.quadraticCurveTo(x,y+ly,x,y+ly-arc);c.lineTo(x,y+arc);c.quadraticCurveTo(x,y,x+arc,y);
return;
}
c.moveTo(x,y+arc);c.lineTo(x,y+ly-arc);c.quadraticCurveTo(x,y+ly,x+arc,y+ly);c.lineTo(x+lx-arc,y+ly);c.quadraticCurveTo(x+lx,y+ly,x+lx,y+ly-arc);c.lineTo(x+lx,y+arc);c.quadraticCurveTo(x+lx,y,x+lx-arc,y);c.lineTo(x+arc,y);c.quadraticCurveTo(x,y,x,y+arc);
}
function isWebKit()
{
if(navigator.userAgent.match(/webkit/i)) return true;
return false;
}
function isMSIE()
{
return BrowserDetect.browser=="Explorer" 
}
function isMSIE8()
{
if((BrowserDetect.browser=="Explorer")&&(BrowserDetect.version==8))
{
return true;
}
return false;
}
function ogMmY()
{
return isWebKit();
}
function isMobileWithoutFlash()
{
return isIPhone();
}
function isMobileBrowser()
{
return isIPhone();
}
function isIPhone()
{
if(navigator.userAgent.match(/iPhone/i)||navigator.userAgent.match(/iPod/i))
return true;
return false;
}
function EdVUF(lx,ly,parent,id_suffixe)
{
var JffgX=document.createElement('canvas');JffgX.width=lx;JffgX.height=ly;
return JffgX;
}
function tIJkh(tEPOf)
{
var ettqo=(-tEPOf+45);
return new Point(Math.cos(ettqo*(2*Math.PI)/360),Math.sin(ettqo*(2*Math.PI)/360))
}
function aDKLt(c,tEPOf)
{
var offset=tIJkh(tEPOf)
c.shadowOffsetX=2*offset.x;
c.shadowOffsetY=2*offset.y;
c.shadowBlur=4;
}
function WA_over_img_html(HCeDl,nKHcd,nJCtv)
{
if(!HCeDl.src)
{
var eodWe=HCeDl.getElementsByTagName("IMG")
if(eodWe.length==1)HCeDl=eodWe[0]
}
if(HCeDl.src1==undefined)
{
HCeDl.src1=HCeDl.src;
HCeDl.src2=nKHcd;
}
if(nJCtv)
{
HCeDl.src=HCeDl.src2;
}
else
{
HCeDl.src=HCeDl.src1;
}
}
function WA_over_img(id,nJCtv)
{
var el=document.getElementById(id+"-canvas") 

var HCeDl=(nJCtv)?el.wa_s_img[1]:el.wa_s_img[0]
WA_img(id,el.wa_lx,el.wa_ly,el.wa_arc,el.wa_bord_siz,el.wa_bord_col,[HCeDl,HCeDl],el.wa_shadow,el.wa_rot,el.wa_reflex)
}
function SlTAh(mGNep,lx,ly,arc,side)
{
this.id=mGNep;
this.lx=lx;
this.ly=ly;
this.arc=arc;
var nSide=side
this.side=nSide
var reflexion=0.25
var sizeReflex=ly*reflexion;
this.decX=0
this.decY=0
this.sX=0;
this.sY=ly-sizeReflex;
this.sLx=lx;
this.sLy=sizeReflex;
this.gradX1=0
this.gradY1=this.sY
this.gradX2=0
this.gradY2=ly 

if(nSide==2)
{
this.decY=1 
}
if(nSide==1)
{
sizeReflex=lx*reflexion;
this.sX=lx-sizeReflex;
this.sY=0;
this.sLx=sizeReflex;
this.sLy=ly;
this.gradX1=this.sX
this.gradY1=0
this.gradX2=lx
this.gradY2=0
this.decX=1
}
if(nSide==0)
{
sizeReflex=ly*reflexion;
this.sX=0;
this.sY=0;
this.sLx=lx;
this.sLy=sizeReflex;
this.gradX1=0
this.gradY1=sizeReflex
this.gradX2=0
this.gradY2=0
this.decY=-1
}
if(nSide==3)
{
sizeReflex=lx*reflexion;
this.sX=0;
this.sY=0;
this.sLx=sizeReflex;
this.sLy=ly;
this.gradX1=sizeReflex
this.gradY1=0
this.gradX2=0
this.gradY2=0
this.decX=-1
}
this.CrGHV=function(canv2)
{
if(isIPhone()) return;
if(/opera/i.test(navigator.userAgent)) return;
if(navigator.userAgent.match(/Firefox/i))
{
var div=document.getElementById(this.id)
if(div.style.MozTransform===undefined) return;
}
var bqmRH=document.getElementById(this.id+"-reflex")
var ZHWFf=bqmRH.getContext('2d');
if(this.side==2)
{
ZHWFf.translate(this.lx,-this.ly*0.75)
}
else
if(this.side==0)
{
ZHWFf.translate(this.lx,0)
}
else
if(this.side==3)
{
ZHWFf.translate(0.25*this.lx,0)
}
else
if(this.side==1)
{
ZHWFf.translate(this.lx,0)
}
ZHWFf.scale(-1,1)
ZHWFf.beginPath()
sJYEc(ZHWFf,1,1,this.lx-2,this.ly-2,this.arc)
ZHWFf.clip() 


ZHWFf.drawImage(canv2,this.sX,this.sY,this.sLx,this.sLy,this.sX,this.sY,this.sLx,this.sLy);
ZHWFf.globalCompositeOperation="destination-out";
var gradient=ZHWFf.createLinearGradient(this.gradX1,this.gradY1,this.gradX2,this.gradY2);
gradient.addColorStop(0,"rgba(255, 255, 255, 1)");
gradient.addColorStop(1,"rgba(255, 255, 255, 0.1)");
ZHWFf.fillStyle=gradient;
ZHWFf.beginPath()
ZHWFf.rect(this.sX-this.decX,this.sY-this.decY,this.sLx,this.sLy);
ZHWFf.fill();
ZHWFf.globalCompositeOperation="source-over";
ZHWFf.scale(-1,1)
ZHWFf.translate(-this.lx,0) 
}
}
function extractNum(st)
{
var len=st.length
if((len>0)&&(st.substring(len-2,len)=="px"))
{
return wa_evaluate(st.substring(0,len-2))
}
return 0;
}
function ATDtF(c2,lx,ly,lWkxD,bord_col,arc,arc2)
{
if(lWkxD>0)
{
c2.beginPath()
c2.fillStyle=bord_col;
c2.beginPath()
sJYEc(c2,0,0,lx,ly,arc)
iwlCu(c2,lWkxD,lWkxD,lx-2*lWkxD,ly-2*lWkxD,arc2,true)
c2.fill()
}
}
function dKjNN()
{
this.tx=0
this.ty=0
this.rotation=0
}
function kZSxA(id,lx,ly,rot,c2,canv2,shadow,matrix)
{
if(navigator.userAgent.match(/Firefox/i)||navigator.userAgent.match(/opera/i))
{
var div=document.getElementById(id)
if(div.style.MozTransform!=undefined) return;
if(matrix==undefined)
{
matrix=new dKjNN()
}
div.style.webkitTransformOrigin="0 0"
div.style.webkitTransform="rotate(0deg)";
if(div.style.MozTransform!=undefined)
{
div.style.MozTransform="rotate(0deg)";
div.style.MozTransformOrigin="top left"
}
rot=Math.round(rot/90)*90 
var swatV=0;
if(shadow)swatV=6
var tpIdT=id+"-canvas"
var el=document.getElementById(tpIdT)
if(div.wa_pos==undefined)
{
div.wa_pos=new Point(extractNum(div.style.left),extractNum(div.style.top))
}
if(div.wa_size==undefined)
{
div.wa_size=new Size(extractNum(div.style.width),extractNum(div.style.height))
}
if(rot==90)
{
html_SetPosition(div,div.wa_pos.x-(ly)-swatV,div.wa_pos.y-swatV)
html_SetCanvasSize(el,div.wa_size.height+2*swatV,div.wa_size.width+2*swatV)
html_SetCanvasSize(canv2,div.wa_size.height+4*swatV,div.wa_size.width+4*swatV)
html_SetSize(div,div.wa_size.height+2*swatV,div.wa_size.width+2*swatV) 
matrix.tx=ly+2*swatV
matrix.ty=2*swatV
}
if(rot==180)
{
html_SetPosition(div,div.wa_pos.x-lx,div.wa_pos.y-ly)
matrix.tx=lx
matrix.ty=ly
}
if(rot==270)
{
html_SetPosition(div,div.wa_pos.x-swatV,div.wa_pos.y-lx-swatV)
html_SetCanvasSize(el,div.wa_size.height+2*swatV,div.wa_size.width+2*swatV)
html_SetCanvasSize(canv2,div.wa_size.height+4*swatV,div.wa_size.width+4*swatV)
html_SetSize(div,div.wa_size.height+2*swatV,div.wa_size.width+2*swatV) 
matrix.tx=2*swatV
matrix.ty=lx+2*swatV
}
matrix.rotation=rot*2*Math.PI/360
c2.translate(matrix.tx,matrix.ty)
c2.rotate(matrix.rotation)
}
}
function WA_img(id,lx,ly,arc,lWkxD,bord_col,s_img,shadow,rot,jAMoY)
{
var tpIdT=id+"-canvas"
var el=document.getElementById(tpIdT)
var c=el.getContext('2d');
var qMFTs=false;
if((jAMoY!=undefined)&&(jAMoY!=-1))
{
qMFTs=new SlTAh(tpIdT,lx,ly,arc,jAMoY)
}
var swatV=0;
if(shadow)swatV=6 

if(el.wa_lx==undefined)
{
el.wa_lx=lx
el.wa_ly=ly
el.wa_arc=arc
el.wa_bord_siz=lWkxD
el.wa_bord_col=bord_col
el.wa_s_img=s_img
el.wa_shadow=shadow
el.wa_rot=rot
el.wa_reflex=jAMoY
c.translate(swatV,swatV)
}
var lYsKV_img=document.getElementById(id+"-cache")
lYsKV_img.onload=function()
{
c.clearRect(0,0,lx+2*swatV,ly+2*swatV)
var arc2=arc-lWkxD;
if(arc2<0)arc2=0;
this.width=lx-2*lWkxD
this.height=ly-2*lWkxD
if(isMSIE())
{
if(shadow) SooHw(c,0,0,lx,ly,arc,false,rot)
var HSRta=c.createPattern(this,'no-repeat');
c.fillStyle=HSRta;
c.beginPath()
sJYEc(c,lWkxD,lWkxD,lx-2*lWkxD,ly-2*lWkxD,arc2)
c.translate(lWkxD,lWkxD)
c.fill()
c.translate(-lWkxD,-lWkxD)
ATDtF(c,lx,ly,lWkxD,bord_col,arc,arc2)
}
else
if(navigator.userAgent.match(/Firefox/i)&&(shadow))
{
var hIOaG=new  dKjNN()
kZSxA(id,lx,ly,rot,c,el,shadow,hIOaG)
if(shadow) SooHw(c,0,0,lx,ly,arc,false,rot)
var c2=c
ATDtF(c2,lx,ly,lWkxD,bord_col,arc,arc2)
c2.beginPath()
sJYEc(c2,lWkxD,lWkxD,lx-2*lWkxD,ly-2*lWkxD,arc2)
c2.clip()
c2.drawImage(this,lWkxD,lWkxD,lx-2*lWkxD,ly-2*lWkxD);
c2.rotate(-hIOaG.rotation)
c2.translate(-hIOaG.tx,-hIOaG.ty)
}
else
{
var canv2=EdVUF(lx,ly,el,"bis");
var c2=canv2.getContext('2d');
var hIOaG=new  dKjNN()
kZSxA(id,lx,ly,rot,c2,canv2,shadow,hIOaG)
c.clearRect(-swatV,-swatV,lx+2*swatV,ly+2*swatV)
ATDtF(c2,lx,ly,lWkxD,bord_col,arc,arc2)
c2.beginPath()
sJYEc(c2,lWkxD,lWkxD,lx-2*lWkxD,ly-2*lWkxD,arc2)
c2.clip()
c2.drawImage(this,lWkxD,lWkxD,lx-2*lWkxD,ly-2*lWkxD);
c2.rotate(-hIOaG.rotation)
c2.translate(-hIOaG.tx,-hIOaG.ty)
if(shadow) aDKLt(c,rot)
c.drawImage(canv2,0,0);
if(qMFTs)
{
qMFTs.CrGHV(canv2)
}
}
}
lYsKV_img.src=s_img[0];
}
function BHgKY(rnOVs,tEPOf,dOTRa,RCiKf)
{
rnOVs.style.left=dOTRa+"px"
rnOVs.style.top=RCiKf+"px"
rnOVs.style.webkitTransformOrigin="0 0"
rnOVs.style.webkitTransform="rotate("+tEPOf+"deg)";
}
function fxUmw(c,type,lx,ly,corner)
{
if(type==1)
DGLNg(c,0,0,lx,ly)
else
sJYEc(c,0,0,lx,ly,corner)
}
function JgftX(el,c,type,lx,ly,corner,bg,upFEO,rot)
{
if(ogMmY()==false)
{
c.fillStyle=bg;
fxUmw(c,type,lx,ly,corner)
c.fill()
}
else
{
var canv2=EdVUF(lx,ly,el,"bis");
var c2=canv2.getContext('2d');
c2.fillStyle=bg;
fxUmw(c2,type,lx,ly,corner)
c2.fill()
if(upFEO) aDKLt(c,rot)
c.drawImage(canv2,0,0);
c.shadowOffsetX=0;
c.shadowOffsetY=0;
c.shadowBlur=0;
}
}
function HgodN(c,type,lx,ly,YfKBm,bg,VlLMf,iNMWd_glow)
{
if(VlLMf)
{
var x1=VlLMf[0];var y1=VlLMf[1];var lx1=VlLMf[2];var ly1=VlLMf[3];var AvPVY=VlLMf[4];
var ELVLF=c.createLinearGradient(x1,y1,x1,y1+ly1);
ELVLF.addColorStop(0,"rgba(255,255,255,0.7)");ELVLF.addColorStop(1,"rgba(255,255,255,0.1)");
c.fillStyle=ELVLF;
if(type==1) DGLNg(c,x1,y1,lx1,ly1)
else
sJYEc(c,x1,y1,lx1,ly1,AvPVY)
c.fill()
}
if(iNMWd_glow)
{
var x2=iNMWd_glow[0];var y2=iNMWd_glow[1];var lx2=iNMWd_glow[2];var ly2=iNMWd_glow[3];
var pfSwY=iNMWd_glow[4];
var YTuvx_glow=new RGBColor(iNMWd_glow[5]);
YTuvx_glow.a=0;
var col1=iNMWd_glow[5];
var col2=YTuvx_glow.toRGB();
var kOArP=c.createLinearGradient(x2,y2,x2,y2+ly2);
kOArP.addColorStop(0,col2);
kOArP.addColorStop(0.2,col2);
kOArP.addColorStop(1,col1);
c.fillStyle=kOArP;
if(type==1) DGLNg(c,x2,y2,lx2,ly2)
else
sJYEc(c,x2,y2,lx2,ly2,pfSwY)
c.fill()
}
}
function hUAKn(MqcLd,mGNep,KwnYP,omYvD,JmNhn,YfKBm,QSsHx,VlLMf,iNMWd_glow,upFEO,tEPOf)
{
MqcLd.mGNep=mGNep;MqcLd.KwnYP=KwnYP;
MqcLd.omYvD=omYvD;MqcLd.JmNhn=JmNhn;
MqcLd.YfKBm=YfKBm;MqcLd.QSsHx=QSsHx,MqcLd.VlLMf=VlLMf;
MqcLd.iNMWd_glow=iNMWd_glow;MqcLd.upFEO=upFEO;MqcLd.tEPOf=tEPOf;
}
function WA_but_over(mGNep,QSsHx_over,YTuvx_glow)
{
var AbUGo=document.getElementById(mGNep) 
if(AbUGo&&AbUGo.BnSCe)
with(AbUGo.BnSCe)
{
var iNMWd_glow_over;
if(iNMWd_glow&&YTuvx_glow)
{
iNMWd_glow_over=new Array();
for(var iSkxP=0;iSkxP<iNMWd_glow.length;iSkxP++)iNMWd_glow_over[iSkxP]=iNMWd_glow[iSkxP];
iNMWd_glow_over[5]=YTuvx_glow;
}
WA_but(mGNep,KwnYP,omYvD,JmNhn,YfKBm,QSsHx_over,VlLMf,iNMWd_glow_over,upFEO,tEPOf);
}
var ohBPB_over0=document.getElementById(mGNep+"-div0")
if(ohBPB_over0)html_SetVisibility(ohBPB_over0,false);
var EtDZF=document.getElementById(mGNep+"-div1")
if(EtDZF)html_SetVisibility(EtDZF,true);
}
function WA_but_out(mGNep)
{
var AbUGo=document.getElementById(mGNep)
with(AbUGo.BnSCe)
{
WA_but(mGNep,KwnYP,omYvD,JmNhn,YfKBm,QSsHx,VlLMf,iNMWd_glow,upFEO,tEPOf);
}
var ohBPB_over0=document.getElementById(mGNep+"-div0")
if(ohBPB_over0)html_SetVisibility(ohBPB_over0,true);
var EtDZF=document.getElementById(mGNep+"-div1")
if(EtDZF)html_SetVisibility(EtDZF,false);
}
function WA_but(id,type,lx,ly,corner,bg,top_light,s_glow,upFEO,rot)
{
var el=document.getElementById(id)
if(el.BnSCe==undefined)
{
el.BnSCe=new Array();
hUAKn(el.BnSCe,id,type,lx,ly,corner,bg,top_light,s_glow,upFEO,rot);
}
var c=el.getContext('2d');
var swatV=0;
if(upFEO)swatV=6 
c.fillStyle="#000000";
c.fillRect(0,0,lx+2*swatV,ly+2*swatV) 
c.clearRect(0,0,lx+2*swatV,ly+2*swatV) 
var bg2=bg
if(bg2.substring(0,1)=="(")
{
bg2=bg2.substring(1)
bg2=bg2.substring(0,bg2.length-1)
var img=new Image();
img.onload=function()
{
if(ogMmY()==false)
{
c.translate(swatV,swatV)
img.width=lx
img.height=ly 
if(upFEO)
SooHw(c,0,0,lx,ly,corner,(type==1),rot)
if(navigator.userAgent.match(/Firefox/i))
{
c.beginPath()
fxUmw(c,type,lx,ly,corner)
c.clip()
c.drawImage(img,0,0,lx,ly);
}
else
{
var ptrn=c.createPattern(img,'no-repeat');
c.fillStyle=ptrn;
c.beginPath()
fxUmw(c,type,lx,ly,corner)
c.fill()
}
HgodN(c,type,lx,ly,corner,bg,top_light,s_glow)
c.translate(-swatV,-swatV)
}
else
{
var canv2=EdVUF(lx,ly,el,"bis");
var c2=canv2.getContext('2d');
c2.beginPath()
fxUmw(c2,type,lx,ly,corner)
c2.clip()
c2.drawImage(img,0,0,lx,ly);
HgodN(c2,type,lx,ly,corner,bg,top_light,s_glow)
if(upFEO) aDKLt(c,rot) 
c.drawImage(canv2,swatV,swatV);
}
}
img.src=bg2;
return;
}
c.translate(swatV,swatV) 
if(upFEO&&(ogMmY()==false))
{
var uEtOu=new RGBColor(bg);
if(uEtOu.a>0)
{
SooHw(c,0,0,lx,ly,corner,(type==1),rot)
}
}
JgftX(el,c,type,lx,ly,corner,bg2,upFEO,rot)
HgodN(c,type,lx,ly,corner,bg,top_light,s_glow)
c.translate(-swatV,-swatV)
}
function SooHw(c,x0,y0,lx0,ly0,corner,is_circle,rot)
{
var decShadow=2;
var offset=tIJkh(rot)
c.translate(decShadow*offset.x,decShadow*offset.y)
var dec_init=2;
var x=x0-dec_init;var y=y0-dec_init;var lx=lx0+2*dec_init;var ly=ly0+2*dec_init;var opacity=0.1;
for(var n=0;n<4;n++)
{
c.beginPath()
if(is_circle) DGLNg(c,x,y,lx,ly);else sJYEc(c,x,y,lx,ly,corner);
c.fillStyle="rgba(0,0,0, "+opacity+")"
c.fill()
x+=1;y+=1;lx-=2;ly-=2;opacity+=0.04
}
c.translate(-decShadow*offset.x,-decShadow*offset.y)
}
function DjXoY(id,x,y,lx,ly,arc,lWkxD,bord_col,bg,shadow,rot,PBqLk,HPsRH)
{
if(HPsRH==undefined)HPsRH=true;
var el=document.getElementById(id)
var c=el.getContext('2d');
if(PBqLk==undefined)PBqLk=1.0;
var swatV=0;
c.shadowOffsetX=0;
c.shadowOffsetY=0;
c.shadowBlur=0;
if(shadow)
{
swatV=6;
}
if(HPsRH) c.clearRect(0,0,el.width,el.height)
c.globalAlpha=PBqLk 
var x_rect0=0;
var y_rect0=0;
var bg1=bg[0]
var fill_obj=false;
if(bg1.substring(0,1)=="(")
{
bg1=bg1.substring(1);
bg1=bg1.substring(0,bg1.length-1)
var hHUQI=bg1.split(";");
var x1=parseFloat(hHUQI[0]);
var y1=parseFloat(hHUQI[1]);
var x2=parseFloat(hHUQI[2]);
var y2=parseFloat(hHUQI[3]);
var col1=hHUQI[4];
var col2=hHUQI[5];
var grad=c.createLinearGradient(x1,y1,x2,y2);
grad.addColorStop(0,col1);
grad.addColorStop(1,col2);
fill_obj=grad
}
else
{
if(bg1.length==0)bg1='rgba(0,0,0,0)'
fill_obj=bg1;
}
var arc2=arc-lWkxD;
if(arc2<0)arc2=0
var canv2=false;
var c2=c;
{
if(shadow) SooHw(c,swatV,swatV,lx,ly,arc,false,rot)
}
if(lWkxD>0)
{
c2.fillStyle=bord_col;
sJYEc(c2,x,y,lx,ly,arc)
iwlCu(c2,x+lWkxD,y+lWkxD,lx-2*lWkxD,ly-2*lWkxD,arc2,true)
c2.fill()
}


c2.fillStyle=fill_obj 
sJYEc(c2,x+lWkxD,y+lWkxD,lx-2*lWkxD,ly-2*lWkxD,arc2)
c2.fill();
}
function mGOpf(IMMgl,pAXqQ,LXgDE)
{
return new Point(Math.round(IMMgl*Math.cos(LXgDE)-pAXqQ*Math.sin(LXgDE)),Math.round(IMMgl*Math.sin(LXgDE)+pAXqQ*Math.cos(LXgDE)))
}
function RlCpU(c,x,y,lx,ly,arc,clowckwise,tEPOf)
{
c.beginPath()
aEteT(c,x,y,lx,ly,arc,clowckwise,tEPOf)
}
function aEteT(c,x,y,lx,ly,arc,clowckwise,tEPOf)
{
if(clowckwise)
{
c.moveTo(x+arc,y);
c.lineTo(x+lx-arc,y);
c.quadraticCurveTo(x+lx,y,x+lx,y+arc);
c.lineTo(x+lx,y+ly-arc);
c.quadraticCurveTo(x+lx,y+ly,x+lx-arc,y+ly);
c.lineTo(x+arc,y+ly);
c.quadraticCurveTo(x,y+ly,x,y+ly-arc);
c.lineTo(x,y+arc);
c.quadraticCurveTo(x,y,x+arc,y);
return;
}
var EwVvK=[[x,y+arc],[x,y+ly-arc],[x,y+ly],[x+arc,y+ly],[x+lx-arc,y+ly],[x+lx,y+ly],[x+lx,y+ly-arc],[x+lx,y+arc],[x+lx,y],[x+lx-arc,y],[x+arc,y],[x,y],[x,y+arc]];
var theta=tEPOf*2*Math.PI/360
for(var n=0;n<EwVvK.length;n++)
{
var UShwl=EwVvK[n][0]
var cGvst=EwVvK[n][1]
EwVvK[n][0]=UShwl*Math.cos(theta)-cGvst*Math.sin(theta);
EwVvK[n][1]=UShwl*Math.sin(theta)+cGvst*Math.cos(theta);
}
var n=0;
c.moveTo(EwVvK[n][0],EwVvK[n++][1]);
c.lineTo(EwVvK[n][0],EwVvK[n++][1]);
c.quadraticCurveTo(EwVvK[n][0],EwVvK[n++][1],EwVvK[n][0],EwVvK[n++][1]);
c.lineTo(EwVvK[n][0],EwVvK[n++][1]);
c.quadraticCurveTo(EwVvK[n][0],EwVvK[n++][1],EwVvK[n][0],EwVvK[n++][1]);
c.lineTo(EwVvK[n][0],EwVvK[n++][1]);
c.quadraticCurveTo(EwVvK[n][0],EwVvK[n++][1],EwVvK[n][0],EwVvK[n++][1]);
c.lineTo(EwVvK[n][0],EwVvK[n++][1]);
c.quadraticCurveTo(EwVvK[n][0],EwVvK[n++][1],EwVvK[n][0],EwVvK[n++][1]);
}
function MBTlA(a,b,x,y)
{
return(a*x-y+b)/(Math.sqrt(1+a*a))
}
function bILaC(new_a1,new_b1,RWtds,multi)
{
var d=0;
for(var i=0;i<RWtds.length;i++)
{
var NxsKp=RWtds[i]
var d1=MBTlA(new_a1,new_b1,NxsKp.x,NxsKp.y)
if(multi<0)
{
if(d1<0) d=Math.max(d,-d1);
}
else
{
if(d1>0) d=Math.max(d,d1);
}
}
return d;
}
function aFDxo(o1,o2)
{
if(o1<o2) return-1
if(o1>o2) return 1
return 0
}
function XfXSh(c,lx,ly,bg1)
{
var fill_obj=false;
var qQaDe=false;
var OIpVF=false;
var RWtds=false
if(bg1.substring(0,1)=="(")
{
bg1=bg1.substring(1);
bg1=bg1.substring(0,bg1.length-1)
var hHUQI=bg1.split(";");
var oulja=new Point(parseFloat(hHUQI[0]),parseFloat(hHUQI[1]));
var OLQVg=new Point(parseFloat(hHUQI[2]),parseFloat(hHUQI[3]));
qQaDe=oulja.clone()
OIpVF=OLQVg.clone()
var col1=hHUQI[4];
var col2=hHUQI[5];
var grad=c.createLinearGradient(qQaDe.x,qQaDe.y,OIpVF.x,OIpVF.y);
if(isMSIE())
{
qQaDe=oulja.clone()
OIpVF=OLQVg.clone() 
var ELVLF=0;
var kOArP=1;
{
RWtds=[{x:0,y:0},{x:lx,y:0},{x:lx,y:ly},{x:0,y:ly}]
var d1=0;
var d2=0;
var a=(OIpVF.y-qQaDe.y)/(OIpVF.x-qQaDe.x);
var b=qQaDe.y-a*qQaDe.x;
var diff=1;
if(a==Infinity)
{
d1=(qQaDe.y)
d2=(ly-OIpVF.y)
}
else
if(a==0)
{
d1=(qQaDe.x)
d2=(lx-OIpVF.x)
}
else
{
var new_a1=-1/a;
var new_b1=qQaDe.y-new_a1*qQaDe.x;
d1=bILaC(new_a1,new_b1,RWtds,-1)
var new_b2=OIpVF.y-new_a1*OIpVF.x;
d2=bILaC(new_a1,new_b2,RWtds,1)
if(new_a1<0)diff=-1;
}
var d=Math.sqrt(Math.pow(OIpVF.x-qQaDe.x,2)+Math.pow(OIpVF.y-qQaDe.y,2))
var total=(d1+d+d2)
ELVLF=d1/total;
kOArP=(d1+d)/total;
var pt_prod0=new Point(OIpVF.x-qQaDe.x,OIpVF.y-qQaDe.y)
var pt_prod1=new Point(0,100)
var prod=(pt_prod0.x*pt_prod1.y-pt_prod1.x*pt_prod0.y);
if(prod*diff<0)
{
ELVLF=d2/total;
kOArP=(d2+d)/total;
}
}
grad.addColorStop(ELVLF,col1);
grad.addColorStop(kOArP,col2);

}
else
{
grad.addColorStop(0,col1);
grad.addColorStop(1,col2);
}
fill_obj=grad
}
else
{
fill_obj=bg1;
}
return fill_obj;
}
function WA_bg3(id,lx,ly,arc,lWkxD,bord_col,bg,shadow,rot,cakhw,VtXlH,PBqLk,HPsRH)
{


var theta=rot*2*Math.PI/360 
if(HPsRH==undefined)HPsRH=true;
if(PBqLk==undefined)PBqLk=1.0;
var el=document.getElementById(id)
if(!el)return
var c=el.getContext('2d');
var swatV=(el.width-lx)/2;
if(HPsRH) c.clearRect(0,0,el.width,el.height)
var x_rect0=swatV;
var y_rect0=swatV;
var bg1=bg[0]
var fill_obj=false;
var qQaDe=false;
var OIpVF=false;
var RWtds=false
fill_obj=XfXSh(c,lx,ly,bg1) 
if(PBqLk==undefined)PBqLk=1.0;
var arc2=arc-lWkxD;
if(arc2<0)arc2=0
var canv2=false;
var c2=c;
if(shadow)
{
c2.translate(cakhw+6,VtXlH+6)
}
else
{
c2.translate(cakhw,VtXlH)
}
c2.fillStyle=fill_obj;
RlCpU(c2,lWkxD,lWkxD,lx-2*lWkxD,ly-2*lWkxD,arc2,false,rot)
c2.fill();
}
function WA_bg(id,lx,ly,arc,lWkxD,bord_col,bg,shadow,rot,PBqLk,HPsRH)
{

if(HPsRH==undefined)HPsRH=true;
if(PBqLk==undefined)PBqLk=1.0;
var el=document.getElementById(id)
if(!el)return
var c=el.getContext('2d');
var swatV=(el.width-lx)/2;
if(HPsRH) c.clearRect(0,0,el.width,el.height) 

var fill_obj=XfXSh(c,lx,ly,bg[0])
if(bg.length>1)
{
var bg2=bg[1]
var img=new Image();
img.onload=function()
{
var ptrn=c.createPattern(img,'repeat');
c.fillStyle=ptrn;
c.beginPath()
cKrZd(c,el,lx,ly,arc,lWkxD,bord_col,ptrn,shadow,rot,PBqLk)
}
img.src=bg2;
}
else
{
cKrZd(c,el,lx,ly,arc,lWkxD,bord_col,fill_obj,shadow,rot,PBqLk)
}
}
function cKrZd(c,el,lx,ly,arc,lWkxD,bord_col,fill_obj,shadow,rot,PBqLk)
{
if(PBqLk==undefined)PBqLk=1.0;
var arc2=arc-lWkxD;
if(arc2<0)arc2=0
var swatV=(el.width-lx)/2;
var x_rect0=swatV;
var y_rect0=swatV;
var canv2=false;
var c2=c;
c.globalAlpha=PBqLk
if(ogMmY()==true)
{
canv2=EdVUF(lx,ly);
c2=canv2.getContext('2d');
c2.globalAlpha=PBqLk
}
else
{
c2.translate(swatV,swatV)
if(shadow) SooHw(c,0,0,lx,ly,arc,false,rot)
}
if(lWkxD>0)
{
c2.fillStyle=bord_col;
sJYEc(c2,0,0,lx,ly,arc)
iwlCu(c2,lWkxD,lWkxD,lx-2*lWkxD,ly-2*lWkxD,arc2,true)
c2.fill()
}
c2.fillStyle=fill_obj;
sJYEc(c2,lWkxD,lWkxD,lx-2*lWkxD,ly-2*lWkxD,arc2)
c2.fill();
if(ogMmY()==true)
{
if(shadow) aDKLt(c,rot)
c.drawImage(canv2,swatV,swatV);
}
else
{
c2.translate(-swatV,-swatV)
}
}
function WA_div_offset(id,x,y)
{
if(isMSIE())
{
var el=document.getElementById(id)
if(el.filters)
{
el.style.left=""+x+"px";el.style.top=""+y+"px";
}
}
}


function Size(lx,ly)
{
this.width=lx;this.height=ly;
this.clone=function(){return new Size(this.width,this.height)}
this.greaterThan=function(iNMWd){return(this.width>iNMWd.width)&&(this.height>iNMWd.height)}
this.scale=function(WlOhk,NmcRE)
{
if(!NmcRE)NmcRE=false
var WhJYw=this;
var HQDDP=WhJYw.width
var RlNqo=WhJYw.height
var p1=HQDDP*WlOhk.height;
var p2=WlOhk.width*RlNqo;
var r1=HQDDP/RlNqo;
var r2=RlNqo/HQDDP;
var newSize1=new Size(WlOhk.height*r1,WlOhk.height);
var newSize2=new Size(WlOhk.width,WlOhk.width*r2);
if(p2>p1)
{
if((NmcRE==true)||((newSize1.width<=WhJYw.width)&&(newSize1.height<=WhJYw.height)))
{
WhJYw.width=Math.round(newSize1.width);
WhJYw.height=Math.round(newSize1.height);
}
}
else
{
if((NmcRE==true)||((newSize2.width<=WhJYw.width)&&(newSize2.height<=WhJYw.height)))
{
WhJYw.width=Math.round(newSize2.width);
WhJYw.height=Math.round(newSize2.height);
}
}
this.width=WhJYw.width;
this.height=WhJYw.height;
return true;
}
}
function Point(p_x,p_y){this.x=p_x;this.y=p_y;
this.translate=function(IMMgl,pAXqQ){this.x+=IMMgl;this.y+=pAXqQ;}
this.clone=function(){return new Point(this.x,this.y)}
}
function Rect(p_x,p_y,lx,ly)
{
this.x=p_x;this.y=p_y;this.width=lx;this.height=ly;
this.clone=function(){return new Rect(this.x,this.y,this.width,this.height)}
this.equals=function(rnOVs){return(this.x==rnOVs.x)&&(this.y==rnOVs.y)&&(this.width==rnOVs.width)&&(this.height==rnOVs.height);}
this.copy=function(rnOVs){this.x=rnOVs.x;this.y=rnOVs.y;this.width=rnOVs.width;this.height=rnOVs.height;}
this.translate=function(IMMgl,pAXqQ){this.x+=IMMgl;this.y+=pAXqQ;}
this.isValid=function(){return(this.width>0)&&(this.height>0);}
}
function html_getLayer(rnOVs)
{
if(typeof(rnOVs)=="string")return document.getElementById(rnOVs);
return rnOVs;
}
function html_SetPosition(rnOVs,IMMgl,pAXqQ){
rnOVs=html_getLayer(rnOVs);
rnOVs.style.left=IMMgl+"px";rnOVs.style.top=pAXqQ+"px";
}
function html_SetSize(NQKUw,omYvD,JmNhn){
rnOVs=html_getLayer(NQKUw);
rnOVs.style.width=omYvD+"px";rnOVs.style.height=JmNhn+"px";
}
function html_SetRect(rnOVs,EDPmf){html_SetGeometry(rnOVs,EDPmf.x,EDPmf.y,EDPmf.width,EDPmf.height);}
function html_SetGeometry(rnOVs,IMMgl,pAXqQ,omYvD,JmNhn){html_SetPosition(rnOVs,IMMgl,pAXqQ);html_SetSize(rnOVs,omYvD,JmNhn);}
function html_SetVisibility(rnOVs,ptDUo){rnOVs=html_getLayer(rnOVs);rnOVs.style.visibility=(ptDUo)?"visible":"hidden";}
function html_SetDisplay(rnOVs,ptDUo){rnOVs=html_getLayer(rnOVs);rnOVs.style.display=(ptDUo)?"block":"none";}
function html_SetCanvasSize(rnOVs,omYvD,JmNhn){rnOVs=html_getLayer(rnOVs);rnOVs.width=omYvD;rnOVs.height=JmNhn;}
function html_writeContent(rnOVs,iNMWd){rnOVs=html_getLayer(rnOVs);rnOVs.innerHTML=iNMWd;}
function html_SetOpacity(rnOVs,BXbrh)
{
rnOVs=html_getLayer(rnOVs);
rnOVs.style['opacity']=BXbrh;
rnOVs.style['-moz-opacity']=BXbrh;
rnOVs.style.filter=(BXbrh==1)?'':'alpha(opacity='+(BXbrh*100)+')';
}
var rKkIW=[
{acc:"e",l:["é","è","ë"]},{acc:"a",l:["à","ä","â"]},{acc:"u",l:["ü","û"]},{acc:"c",l:["ç"]},{acc:"o",l:["ö","ô"]}
];
function removeAccentsFromString(s)
{
var res=s.toLowerCase();
for(var i=0;i<rKkIW.length;i++)
{
var array2=rKkIW[i].l;
for(var i2=0;i2<array2.length;i2++)
{
var reg=new RegExp(array2[i2],"g");
res=res.replace(reg,rKkIW[i].acc)
}
}
return res;
}
function trimString(str)
{
return str.replace(/^\s*|\s*$/g,"");
}
function IsNumeric(dknsX)
{
var QYvMn="0123456789.";var BdkNB=true;var onvmO;
for(iSkxP=0;iSkxP<dknsX.length&&BdkNB==true;iSkxP++){onvmO=dknsX.charAt(iSkxP);if(QYvMn.indexOf(onvmO)==-1) BdkNB=false;}
return BdkNB;
}
function getWindowScroll()
{
var x=0;var y=0;
if(typeof(window.pageYOffset)=='number'){
x=window.pageXOffset;y=window.pageYOffset;
}else if(document.body&&(document.body.scrollLeft||document.body.scrollTop)){
x=document.body.scrollLeft;y=document.body.scrollTop;
}else if(document.documentElement&&(document.documentElement.scrollLeft||document.documentElement.scrollTop)){
x=document.documentElement.scrollLeft;y=document.documentElement.scrollTop;
}
return new Point(x,y);
}
function getWindowSize()
{
var lx=0;var ly=0;;
if(isMSIE())
{
lx=document.documentElement.clientWidth;ly=document.documentElement.clientHeight;
if((lx==0)&&(ly==0))
{
if(document.body&&(document.body.clientWidth)){
lx=document.body.clientWidth;ly=document.body.clientHeight;
}
}
}
else
if(typeof(window.innerWidth)=='number')
{
lx=window.innerWidth;
if(document.documentElement.clientWidth>0)lx=document.documentElement.clientWidth
ly=window.innerHeight;
if(document.documentElement.clientHeight>0)ly=document.documentElement.clientHeight
}
if(isIPhone())
if(typeof(window.innerWidth)=='number')
{
lx=window.innerWidth;ly=window.innerHeight;
}
return new Size(lx,ly);
}
function getWindowFullSize()
{
var lx=0;var ly=0;;
if(isMSIE())
{
lx=document.documentElement.clientWidth;ly=document.documentElement.clientHeight;
if((lx==0)&&(ly==0))
{
if(document.body&&(document.body.clientWidth)){
lx=document.body.clientWidth;ly=document.body.clientHeight;
}
}
}
else
if(typeof(window.innerWidth)=='number'){
lx=window.innerWidth;
if(document.documentElement.clientWidth>0)lx=document.documentElement.clientWidth
ly=window.innerHeight;
if(document.documentElement.clientHeight>0)ly=document.documentElement.clientHeight
}
return new Size(lx,ly);
}
function urlSuffixe(jctRM)
{
var mmeXa=jctRM*60;
var TvRmB=new Date();
var BLlTN=0;
BLlTN+=TvRmB.getYear()*12*31*24*60*60;
BLlTN+=TvRmB.getMonth()*31*24*60*60;
BLlTN+=TvRmB.getDate()*24*60*60;
BLlTN+=TvRmB.getHours()*60*60;
BLlTN+=TvRmB.getMinutes()*60;
BLlTN+=TvRmB.getSeconds();
if(mmeXa!=0)
{
BLlTN=Math.floor(BLlTN/mmeXa)*mmeXa
}
return "-"+BLlTN;
}
function urlAntiCacheForPreview()
{
if(document.webaca_is_preview) return urlSuffixe(0);
return "";
}
function html_findPos(obj)
{
var BXbrh=RMfYu(obj)
return new Point(BXbrh[0],BXbrh[1])
}
function RMfYu(obj)
{
var curleft=curtop=0;
if(obj.offsetParent)
{
do
{
curleft+=obj.offsetLeft;curtop+=obj.offsetTop;
}while(obj=obj.offsetParent);
}
return [curleft,curtop];
}
function Wa_search_input(hAIYq,omYvD,JmNhn)
{
document.write("<input id='"+hAIYq+"' type=search results=0 placeholder='' style='width:"+omYvD+"px;height:"+JmNhn+"px;'>")
}
function jIkjD()
{
var eodWe=document.getElementsByTagName("A");
for(var iSkxP=0;iSkxP<eodWe.length;iSkxP++)
{
var rnOVs=eodWe[iSkxP];
if(rnOVs.onmouseover)rnOVs.onmouseover=null;
if(rnOVs.onmouseout)rnOVs.onmouseout=null;
}
}
function JNEGO()
{
for(var XHRXQ in document.wa_global_list_element)
{
var mGNep=document.wa_global_list_element[XHRXQ]
var AbUGo=document.getElementById(mGNep)
AbUGo.onclick=function()
{
WA_focus(this)
}
}
}
function WA_declare(mGNep)
{
if(!document.wa_global_list_element)
{
document.wa_global_list_element=new Array();;
}
document.wa_global_list_element.push(mGNep)
}
function CRJho()
{
var eOKSu=window.location.search;
if(eOKSu.substr(0,1)=="?")eOKSu=eOKSu.substr(1);
if(eOKSu.length==0)return;
var Ydjbe=new Array();
var BPUqI=eOKSu.split("&");
for(var i=0;i<BPUqI.length;i++)
{
var kiFoT=BPUqI[i].split("=");Ydjbe[kiFoT[0]]=kiFoT[1];
}
var iNMWd_info=Ydjbe["crbst_info"];
if(!iNMWd_info)return;
var GDCmO=new Array();
GDCmO.m_unid=iNMWd_info;
GDCmO.m_index_item=-1;
var kbAIj=iNMWd_info.indexOf("-");
if(kbAIj!=-1)
{
GDCmO.m_unid="wa-id-"+iNMWd_info.substring(0,kbAIj);
GDCmO.m_index_item=parseInt(iNMWd_info.substring(kbAIj+1));
}
document.wa_global_query_info=GDCmO;
}
function IS_onload_WA()
{

if(isMSIE8())
{
wa_timeout("IS_onload_ui()",0)
}
else
{
IS_onload_ui()
}
if(isIPhone())
{
jIkjD()
}
else
{
JNEGO()
}
CRJho();

lVKOg()
}
function lVKOg()
{
var xhGmv=0;
var ukeNe=document.webaca_banner_height;
if(document.webaca_page_is_centered)
{
var XOLGG=getWindowSize().width
var uHJOb=document.webaca_width_page
if(XOLGG>uHJOb)xhGmv=(XOLGG-uHJOb)/2;
}
document.body.style.backgroundPosition=xhGmv+"px "+ukeNe+"px";
}


function WA_loadMessages()
{
for(var k in CONST_WA_TR)
{
var key=CONST_WA_TR[k]
Translator.m_tr[key[0]]=key[1]
}
for(var n=0;n<CONST_WA_COUNTRIES.codes.length;n++)
{
var NpJRn=CONST_WA_COUNTRIES.codes[n]
var WIXQH=CONST_WA_COUNTRIES.labels[n]
Translator.m_countries[NpJRn]=WIXQH
}
}
function Translator()
{
}
Translator.m_tr=new Array();
Translator.m_countries=new Array();
Translator.tr=function(k)
{
try
{
var v=Translator.m_tr[k]
if((v==undefined)||(v.length==0))return "@"+k;
v=v.replace(/\n/g,"<br>")
return v
}
catch(e){}
return k;
}
Translator.country=function(k)
{
try
{
var v=Translator.m_countries[k]
if((v==undefined)||(v.length==0))return "@"+k;
return v
}
catch(e){}
return k;
}
function WA_GraphicElement(mGNep,DBtAi,upFEO)
{
this.mGNep=mGNep;
this.DBtAi=DBtAi
this.upFEO=upFEO;
this.sTUgP=this.mGNep+"-div"
this.uKvdq=this.mGNep+"-canvas"
this.xEEiv=new Rect(0,0,0,0)
this.LTwpl=false;
this.gVHqf=false;
this.swatV=6;
this.VNAwe=false;
this.ZOtNp=false;
this.HbtMr=false;
this.aMRXn="";
this.shadow=function()
{
return this.upFEO;
}
this.marginShadow=function()
{
return this.swatV;
}
this.rect=function()
{
return this.xEEiv;
}
this.canvasId=function()
{
return this.uKvdq;
}
this.divId=function()
{
return this.sTUgP;
}
this.opacity=function()
{
return this.bIRVM;
}
this.img_clip=function()
{
return this.ZOtNp;
}
this.img_src=function()
{
return this.VNAwe;
}
this.toHtml=function()
{
var iNMWd=""
iNMWd+="<div id='"+this.sTUgP+"' style=\"";
iNMWd+="position:absolute;";
if(this.aMRXn.length>0)
{
iNMWd+="cursor:pointer;";
}
if(this.rect.x>0)iNMWd+="left:"+this.rect.x+"px;";
if(this.rect.y>0)iNMWd+="top:"+this.rect.y+"px;";
if(this.rect.width>0)iNMWd+="width:"+this.rect.width+"px;";
if(this.rect.height>0)iNMWd+="height:"+this.rect.height+"px;";
if(DBtAi)
iNMWd+="z-index:"+DBtAi+";";
iNMWd+="\" ";
if(this.aMRXn.length>0)
{
iNMWd+="onclick=\""+this.aMRXn+"\" "
}
iNMWd+=">";
if((this.rect.width>0)&&this.shadow())
{
iNMWd+=html_canvas(this.uKvdq,this.rect.width+2*this.swatV,this.rect.height+2*this.swatV)+"</div>";
}
else
{
iNMWd+=html_canvas(this.uKvdq,0,0)+"</div>";
}
return iNMWd
}
this.setImage=function(uqVgp,aAcAH,tEPOf)
{
if(tEPOf==undefined)tEPOf=0;
if((uqVgp==this.VNAwe)&&(this.ZOtNp&&this.ZOtNp.equals(aAcAH))&&(this.HbtMr==tEPOf))
{
return;
}
this.HbtMr=tEPOf;
this.VNAwe=uqVgp;
this.ZOtNp=aAcAH;
this.Imsri()
}
this.registerDynamicCanvas=function()
{
registerDynamicCanvas(this.uKvdq);
this.gVHqf=true;
this.setRect(this.xEEiv.x,this.xEEiv.y,this.xEEiv.width,this.xEEiv.height)
}
this.Imsri=function()
{
if((this.xEEiv.width>0)&&(this.xEEiv.height>0))
{
this.draw()
}
this.LTwpl=true
};
this.draw=function(){};
this.setPosition=function(IMMgl,pAXqQ)
{
this.xEEiv.x=IMMgl;this.xEEiv.y=pAXqQ;
if(this.gVHqf==false)return
html_SetPosition(this.sTUgP,this.xEEiv.x,this.xEEiv.y)
if(this.LTwpl==false)
{
this.Imsri()
}
}
this.setOnClick=function(iNMWd)
{
this.aMRXn=iNMWd
}
this.width=function(){return this.xEEiv.width;}
this.height=function(){return this.xEEiv.height;}
this.setSize=function(omYvD,JmNhn)
{
this.xEEiv.width=omYvD;this.xEEiv.height=JmNhn;
var XTLRI=omYvD
var ESMQG=JmNhn
if(this.upFEO)
{
XTLRI+=2*this.swatV
ESMQG+=2*this.swatV
}
if(this.gVHqf==false)return
html_SetSize(this.sTUgP,XTLRI,ESMQG)
html_SetCanvasSize(this.uKvdq,omYvD,JmNhn)
this.Imsri()
}
this.setRect=function(IMMgl,pAXqQ,omYvD,JmNhn)
{
this.xEEiv.x=IMMgl;this.xEEiv.y=pAXqQ;this.xEEiv.width=omYvD;this.xEEiv.height=JmNhn;
var XTLRI=omYvD
var ESMQG=JmNhn
var gWsLD=IMMgl
var ueASC=pAXqQ
if(this.upFEO)
{
XTLRI+=2*this.swatV
ESMQG+=2*this.swatV
gWsLD-=this.swatV
ueASC-=this.swatV
}
if(this.gVHqf==false)return 
html_SetGeometry(this.sTUgP,gWsLD,ueASC,XTLRI,ESMQG);
html_SetCanvasSize(this.uKvdq,XTLRI,ESMQG)
try{this.Imsri()}catch(e){
alert(e.message)
}
}
this.setVisible=function(ptDUo)
{
if(this.gVHqf==false)return
html_SetVisibility(this.sTUgP,ptDUo)
}
this.setOpacity=function(BXbrh)
{
this.bIRVM=BXbrh 
if(this.gVHqf==false)return
this.Imsri()
}
}

function is_onresize()
{
WA_Dialog.resizeUI()
try
{
if(WA_PhotoAlbum_resizeUI)WA_PhotoAlbum_resizeUI()
}
catch(e){}
lVKOg()
}
function is_onscroll()
{
centerFullPageContainer();
}
function registerDynamicCanvas(id)
{
if(isMSIE())
G_vmlCanvasManager.initElement(document.getElementById(id));
}
function WA_openDialogAction(XHRXQ)
{
var DpgNX=WA_Dialog.KCmWt;
if(XHRXQ==-1){DpgNX.closeWin();return;}
var JqbVG=DpgNX.vOdOL(XHRXQ);
if(JqbVG[5])
{
JqbVG[4].call(JqbVG[6],JqbVG[5])
}
else
{
JqbVG[4](JqbVG[5]);
}
}
function WA_Dialog(ptDUo_close_button)
{
this.JOOEo=0;
this.WHoSj=0;
this.WlOhk_win_width=600;
this.WlOhk_win_height=400;
this.aXjMV=new Array();
this.tIUJt="wa-dialog-but-";
this.XVOrD=this.tIUJt+"div-";
this.bsRIC=this.tIUJt+"canvas-";
this.BUTTON_HEIGHT=22;
this.hBdYx=CONST_WA_GLOBAL_COLOR_THEME;
this.ptDUo_close_button=ptDUo_close_button;
this.OsOBj=6;
this.lOTEW=function()
{
if(this.ptDUo_close_button==undefined)this.ptDUo_close_button=true;
this.Bvajw();
}
this.resetButtons=function()
{
this.Bvajw();
}
this.idealHeight=function()
{
return this.pAIkQ
}
this.displayWindowWithAutoResize=function(IEsBW,OvxcS)
{
this.CrbPt=false
this.pAIkQ=IEsBW
this.LpLkJ=OvxcS 
this.resetButtons();
OvxcS.call(this)
var l=document.getElementById('wa-dialog-content');
if(this.CrbPt==false)
if(l.scrollHeight>200)
{
this.CrbPt=true
this.pAIkQ=l.scrollHeight+150
this.resetButtons();
OvxcS.call(this)
}
}
this.initializeWindow=function(WlOhk_lx,WlOhk_ly)
{
if(WA_Dialog.KCmWt)WA_Dialog.KCmWt.closeWin()
WA_Dialog.KCmWt=this;
this.WlOhk_win_width=WlOhk_lx;
this.WlOhk_win_height=WlOhk_ly;
this.PxHgW()
}
this.progress=function()
{
this.initializeWindow(300,100)
this.writeContent("<div width=100% align=center><img src='wa_loading.gif'></div>")
}
this.UBLZJ=function(mess)
{


this.initializeWindow(450,130)
var s=""
s+="<table border=0 style='width:100%;'><tr>";
s+="<td align=center style='"+this.cssText1()+"'>"
s+=mess
s+="</td></tr></table>"
this.writeContent(s)
}
this.addButton=function(WIXQH,tXJxl,lYsKV,IOXNx)
{
var uvKqd=this.aXjMV.length
if(this.ptDUo_close_button==true)
{
uvKqd--;
}
var omYvD=Math.max((WIXQH.length*8)*1.2+30,80)
var WhJYw=new Size(omYvD,this.BUTTON_HEIGHT);
this.DZNXj("action_"+uvKqd,uvKqd,WIXQH,tXJxl,WhJYw,lYsKV,IOXNx)
}
this.Bvajw=function()
{
this.aXjMV=new Array();
if(this.ptDUo_close_button)
{

var WhJYw=new Size(50,20);
this.DZNXj("close",-1,"X",null,WhJYw)
}
}
this.DZNXj=function(ZBbLI,uvKqd,WIXQH,tXJxl,WhJYw,lYsKV,IOXNx)
{
var JqbVG=[ZBbLI,WhJYw,uvKqd,WIXQH,tXJxl,lYsKV,IOXNx];
this.aXjMV.push(JqbVG);
}
this.writeContent=function(s)
{
var l=document.getElementById('wa-dialog-content');
l.innerHTML=s
}
this.vOdOL=function(ZBbLI)
{
for(var XHRXQ=0;XHRXQ<this.aXjMV.length;XHRXQ++)
{
var JqbVG=this.aXjMV[XHRXQ];
if((JqbVG[0]==ZBbLI)||(JqbVG[2]+""==ZBbLI+""))
return JqbVG;
}
return undefined;
}
this.nLqXE=function(ZBbLI)
{
var JqbVG=this.vOdOL(ZBbLI);
return JqbVG[1]
}
this.getColorTheme=function(XHRXQ)
{
return this.hBdYx[XHRXQ];
}
this.TYkRR=function(NTpga)
{
var JqbVG=this.vOdOL(NTpga);
var ZBbLI=JqbVG[0];
var uvKqd=JqbVG[2];
var YTuvx_text=this.hBdYx[4]
var YTuvx_bg=this.hBdYx[5]
var YTuvx_glow=this.hBdYx[7]
if(uvKqd==-1)
{
YTuvx_text=this.hBdYx[10]
YTuvx_bg=this.hBdYx[8]
YTuvx_glow=this.hBdYx[11]
}
var pFfmC=this.XVOrD+ZBbLI;
var OHvoK=this.bsRIC+ZBbLI;
var WhJYw=this.nLqXE(NTpga)
var VvwBp=0;
var s=""
s+="<a href='javascript:WA_openDialogAction("+NTpga+")' ";
var YTuvx=new RGBColor(YTuvx_bg);
var TYfGx=YTuvx.toHsl();
YTuvx.fromHsl(TYfGx[0],TYfGx[1],TYfGx[2]+0.2)
YTuvx_bg=YTuvx.toRGB();
var cQaCo_glow=new RGBColor(YTuvx_glow);
var TThZu=cQaCo_glow.toHsl();
cQaCo_glow.fromHsl(TThZu[0],TThZu[1],TThZu[2]+0.2)
YTuvx_glow=cQaCo_glow.toRGB();
s+="onmouseover=\"WA_but_over('"+OHvoK+"','"+YTuvx_bg+"','"+YTuvx_glow+"')"+"\" ";
s+="onmouseout=\""+"WA_but_out('"+OHvoK+"')"+"\" ";
s+="style='text-decoration:none;'>";
s+="<div id='"+this.XVOrD+ZBbLI+"' style='position:absolute;cursor:pointer;left:0px;top:0px;height:"+WhJYw.height+"px;width:"+WhJYw.width+"px;' >";
s+="<div style='position:absolute;left:"+(-VvwBp)+"px;top:"+(-VvwBp)+"px;height:"+WhJYw.height+"px;'>"
s+="<canvas id='"+this.bsRIC+ZBbLI+"' width="+(WhJYw.width+VvwBp*2)+" height="+(WhJYw.height+VvwBp*2)+" ></canvas>";
s+="</div>"
s+="<div align=center style='position:absolute;left:0px;top:"+(0)+"px;vertical-align:middle;width:100%;height:"+(WhJYw.height)+"px;line-height:"+(WhJYw.height)+"px;font-family:arial;font-size:13px;font-weight:bold;color:"+YTuvx_text+"'>"
s+=JqbVG[3];
s+="</div>"
s+="</div>"
s+="</a>"
return s;
}
this.PWPTH=function(ZBbLI)
{
var JqbVG=this.vOdOL(ZBbLI);
var uvKqd=JqbVG[2];
var YTuvx_bg=this.hBdYx[5]
var YTuvx_glow=this.hBdYx[7]
var YTuvx_text=this.hBdYx[3]
if(uvKqd==-1)
{
YTuvx_bg=this.hBdYx[8]
YTuvx_glow=this.hBdYx[11]
YTuvx_text=this.hBdYx[10]
}
var NpJRn=this.bsRIC+ZBbLI;
registerDynamicCanvas(NpJRn);
var WhJYw=this.nLqXE(ZBbLI);
var YfKBm=WhJYw.height*0.25;
var FJKOe=true;
YfKBm=0;
FJKOe=false;
var sIVqc=0;
var HjIui=(WhJYw.width-2);
var JmNhn_circle_top=WhJYw.height*0.45;

var hHUQI_top=[1,1,HjIui,JmNhn_circle_top,sIVqc];
var omYvD_circle_bottom=WhJYw.width-2;
var JmNhn_circle_bottom=WhJYw.height*0.45;
var CMlMx=YTuvx_glow;
var OvbEX=YTuvx_glow;
var QVnne=0;

var hHUQI_bottom=[(WhJYw.width-omYvD_circle_bottom)/2,WhJYw.height-JmNhn_circle_bottom-1,omYvD_circle_bottom,JmNhn_circle_bottom,QVnne,CMlMx,OvbEX];
WA_but(NpJRn,0,WhJYw.width,WhJYw.height,YfKBm,YTuvx_bg,hHUQI_top,hHUQI_bottom,FJKOe,0)
}
this.BxDmU=function(ZBbLI)
{
var JqbVG=this.vOdOL(ZBbLI)
if(JqbVG)
{
var NpJRn=this.XVOrD+JqbVG[0];
return document.getElementById(NpJRn);
}
return undefined
}
this.PxHgW=function()
{
var l=document.getElementById('wa-dialog-container');
l.style.display="block" 

var s="";
var ngwDo=document.webaca_banner_height
s+="<div  style='position:absolute;left:0px;top:"+ngwDo+"px;width:100%;height:100%;background-color:#000000;filter:alpha(opacity=50);-moz-opacity:0.5;opacity:0.5;'></div>"
s+="<div id='wa-dialog-main' style='position:absolute;left:0px;top:"+ngwDo+"px;width:100px;height:100px;' >"
s+="<div style='position:absolute;left:0px;top:0px;width:100px;height:100px;' ><canvas id='wa-dialog1' width=100 height=100 ></canvas></div>"
for(var iSkxP in this.aXjMV)
{
s+=this.TYkRR(this.aXjMV[iSkxP][2]);
}
s+="<div id='wa-dialog-content' style='position:absolute;left:0px;top:0px;width:100px;" 
s+="overflow:auto;' ></div>"
s+="</div>"
l.innerHTML=s 
WA_exec_callback_opera_compliant(this,this.lpDkN)
}
this.lpDkN=function()
{
registerDynamicCanvas('wa-dialog1');
for(var iSkxP in this.aXjMV)
{
this.PWPTH(this.aXjMV[iSkxP][0])
}
this.SHlIU()
if(this.JAEhx())
{
document.body.scrollLeft=0
document.body.scrollTop=0
}
}
this.intern_closeWin=function()
{
var l=document.getElementById('wa-dialog-container');
l.style.display="none"
WA_Dialog.KCmWt=false
}
this.closeWin=function()
{
this.intern_closeWin()
}
this.cssText1=function()
{
return "font-family:Arial;font-size:15px;color:"+this.hBdYx[3]+";";
}
this.onCustomKeypress=function(LBWWa)
{
if((this.aXjMV.length==1)&&(LBWWa==13))
{
this.closeWin()
return true;
}
return false;
}
this.onkeypress=function(LBWWa)
{
return this.onCustomKeypress(LBWWa)
}
this.onkeydown=function(LBWWa)
{
if(LBWWa==27)
{
this.closeWin()
return true;
}
return this.onCustomKeypress(LBWWa) 
}
this.customUpdate=function(){}
this.JAEhx=function()
{
return isIPhone();
}
this.SHlIU=function()
{
var omYvD_page=document.webaca_width_page;
var JmNhn_page=document.webaca_height_page;
var atanw=getWindowSize().width
var JmNhn_window=getWindowSize().height
var DMeLS=getWindowFullSize().width
var JmNhn_full_client=getWindowFullSize().height
var okaSB=550;
var tlkmE=400;
atanw=Math.max(atanw,okaSB);
JmNhn_window=Math.max(JmNhn_window,tlkmE);
if(this.JAEhx())
{
atanw=600;
JmNhn_window=700;
}
this.JOOEo=Math.min(atanw*0.9,this.WlOhk_win_width)
this.WHoSj=Math.min(JmNhn_window*0.9,this.WlOhk_win_height)
var cqYio=document.getElementById('wa-dialog1');
cqYio.width=this.JOOEo+10
cqYio.height=this.WHoSj+10
var IMMgl=getWindowScroll().x+(atanw-cqYio.width)/2
var pAXqQ=getWindowScroll().y+(JmNhn_window-cqYio.height)/2
IMMgl=(atanw-cqYio.width)/2
pAXqQ=(JmNhn_window-cqYio.height)/2
IMMgl=Math.max(0,IMMgl)
pAXqQ=Math.max(0,pAXqQ)
if(this.JAEhx())
{
IMMgl=0
pAXqQ=0;
}
var BCKcS=document.getElementById('wa-dialog-main');
html_SetGeometry('wa-dialog-main',IMMgl,pAXqQ,cqYio.width,cqYio.height);
var KbFOc_bg="(0;0;0;"+this.WHoSj*0.25+";"+this.hBdYx[1]+";"+this.hBdYx[2]+")";
var wfBpL=4;
WA_bg('wa-dialog1',this.JOOEo,this.WHoSj,wfBpL,3,this.hBdYx[0],[KbFOc_bg],true,0)
var fTqvP=10;
var UFJFi=this.BxDmU(-1)
if(UFJFi)
{
var NLWkt_close=this.nLqXE(-1) 
var marginClose=3
html_SetPosition(UFJFi,this.JOOEo-NLWkt_close.width-marginClose+this.OsOBj-1,marginClose+this.OsOBj-1)
}
var YBKWY_buttons=this.aXjMV.length;
if(this.ptDUo_close_button==true)
{
YBKWY_buttons--;
}
var OawUD=10;
var JwtQM=0;
for(var iSkxP=0;iSkxP<YBKWY_buttons;iSkxP++)
{
if(iSkxP>0) JwtQM+=OawUD;
var NLWkt=this.nLqXE(iSkxP);
JwtQM+=NLWkt.width;
}
var kaFsK=(this.JOOEo-JwtQM)/2
for(var iSkxP=0;iSkxP<YBKWY_buttons;iSkxP++)
{
if(iSkxP>0) kaFsK+=OawUD;
var dILpQ=this.BxDmU(iSkxP);
var NLWkt=this.nLqXE(iSkxP);
html_SetPosition(dILpQ,kaFsK+this.OsOBj,+this.OsOBj+this.WHoSj-NLWkt.height-2*fTqvP)
kaFsK+=NLWkt.width;
}
var JmNhn_top=45;
var JmNhn_bottom=this.BUTTON_HEIGHT+2*fTqvP;
if(YBKWY_buttons==0)
{
JmNhn_bottom=0;
}
var JmNhn_content=(this.WHoSj-JmNhn_top-JmNhn_bottom)-fTqvP
var TKcpb=document.getElementById('wa-dialog-content');
var DpgNX_content=Math.round(this.JOOEo-2*fTqvP)
var dtixO=Math.round(JmNhn_content)
this.m_content_lx=DpgNX_content
this.m_content_ly=dtixO
html_SetGeometry('wa-dialog-content',Math.round(5+(this.JOOEo-DpgNX_content)/2),Math.round(5+JmNhn_top+(JmNhn_content-dtixO)/2),DpgNX_content,dtixO);
this.customUpdate() 
var TIPMA=document.getElementById('wa-dialog-container');
var TMLMN=JmNhn_full_client
TMLMN=Math.max(TMLMN,JmNhn_window) 
var WbMlV=DMeLS
WbMlV=Math.max(WbMlV,atanw)
if(this.JAEhx())
{
WbMlV=Math.max(WbMlV,omYvD_page)
TMLMN=Math.max(TMLMN,JmNhn_page)
}
html_SetSize('wa-dialog-container',WbMlV,TMLMN);
centerFullPageContainer();
}
this.lOTEW();
}
function centerFullPageContainer()
{
var KnPjb=WA_Dialog.getCurrent() 
var omYvD_page=document.webaca_width_page;
var JmNhn_page=document.webaca_height_page;
var TIPMA=document.getElementById('wa-dialog-container');
var DMeLS=getWindowSize().width 
var JmNhn_full_client=getWindowSize().height
var pAXqQ_bg=getWindowScroll().y;
var nXgeK=KnPjb&&KnPjb.JAEhx();
if(nXgeK)
{
pAXqQ_bg=0
}
pAXqQ_bg=Math.min(pAXqQ_bg,JmNhn_page-JmNhn_full_client+1)
pAXqQ_bg=Math.max(pAXqQ_bg,0)
var IvmBO=getWindowScroll().x;
if(nXgeK)
{
IvmBO=0
}
IvmBO=Math.min(IvmBO,omYvD_page-DMeLS+1)
IvmBO=Math.max(IvmBO,0)
html_SetPosition('wa-dialog-container',IvmBO,pAXqQ_bg,DMeLS,JmNhn_full_client);
}
function WA_exec_callback_opera_compliant(lYsKV,EAtWt)
{
if(/opera/i.test(navigator.userAgent))
WA_exec_delayedCallback(lYsKV,EAtWt)
else
EAtWt.call(lYsKV)
}
function WA_exec_delayedCallback(lYsKV,EAtWt)
{
wa_timeout(Delegate.create(lYsKV,EAtWt),0);
}
WA_Dialog.getCurrent=function()
{
return WA_Dialog.KCmWt;
}
WA_Dialog.KCmWt=false;
WA_Dialog.resizeUI=function()
{
if(WA_Dialog.KCmWt)
{
var KnPjb=WA_Dialog.KCmWt
if(KnPjb.JAEhx()==false)
{
KnPjb.SHlIU()
}
}
}
WA_Dialog.alert=function(s)
{
var w=new WA_Dialog();
w.UBLZJ(s)
}
WA_Dialog.progress=function()
{
var w=new WA_Dialog(false);
w.progress()
}

function getXMLHttpRequest(fct_callback,IOXNx)
{
var http_request=false;
if(window.XMLHttpRequest){
http_request=new XMLHttpRequest();
if(http_request.overrideMimeType){
}
}else if(window.ActiveXObject){
try{http_request=new ActiveXObject("Msxml2.XMLHTTP");
}catch(e){
try{http_request=new ActiveXObject("Microsoft.XMLHTTP");}catch(e){}}
}
if(!http_request)
{
alert('Cannot create XMLHTTP instance');
return false;
}
http_request.GEtHS=fct_callback
http_request.IOXNx=IOXNx
http_request.onreadystatechange=function()
{
var req=this 
if(req.readyState==4)
{
this.GEtHS(true,this,this.IOXNx) 

}
};
return http_request;
}
function makePOSTRequest(url,parameters,callback,cgjEj)
{
var http_request=getXMLHttpRequest(callback,cgjEj);
http_request.open('POST',url,true);
http_request.setRequestHeader("Content-type","application/x-www-form-urlencoded");
http_request.setRequestHeader("Content-length",parameters.length);
http_request.setRequestHeader("Connection","close");
http_request.send(parameters);
}
function intern_WA_responseForm(XkLxE,tWAYJ,IOXNx)
{
var result=tWAYJ.responseText
var n=result.indexOf("BEGIN_IS_PHP=1")
if(n==-1)
{
WA_Dialog.alert(Translator.tr("Error:No php on server"));
}
else
{
n=result.indexOf("mail_sended=1")
if(n>-1)
{
var oqdXr=IOXNx[0] 
WA_Dialog.alert(Translator.tr("Success:Mail sended"));
var form=document.getElementById(oqdXr);
form.reset()
}
else
{
var veNpT="error_string="
n=result.indexOf(veNpT)
if(n>-1)
{
result=result.substring(n+veNpT.length)
n=result.indexOf("END_IS_PHP")
if(n>-1)
{
result=result.substring(0,n)
}
WA_Dialog.alert(result);
}
else
{
WA_Dialog.alert("*error send mail!");
}
}
}
}
function WA_form_action(id_form,action,b_email_is_valid)
{
var form=document.getElementById(id_form);
var poststr=""
for(var i=0;i<form.elements.length;i++)
{
var el=form.elements[i];
el.style.backgroundColor="#ffffff"
if((el.value.length==0)&&(el.name.indexOf("_mandatory")>-1))
{
el.style.backgroundColor="#ff0000";el.focus();return;
}
var gmqcV=el.value
gmqcV=encodeURI(gmqcV)
gmqcV=gmqcV.replace(/&/g,escape("&")) 
poststr+=el.name.replace("_mandatory","")+"="+gmqcV+"&"
}
if(b_email_is_valid==false)
{
WA_Dialog.alert(Translator.tr("Email have to be filled in order to the form works correctly"));return;
}
if(document.webaca_is_preview)
{
WA_Dialog.alert(Translator.tr("Operation not allowed in preview mode"));return;
}
WA_Dialog.progress();
makePOSTRequest(action,poststr,intern_WA_responseForm,[id_form]);
}
function WA_form_submit(GkmdF)
{
var vvfSd=document.getElementById(GkmdF);
vvfSd.submit() 
}
function svefb(mGNep,IOXNx)
{
var LBWWa=IOXNx[0]
if(LBWWa==13)
{
var GkmdF=mGNep+"-form";
var vvfSd=document.getElementById(GkmdF);
for(var i=0;i<vvfSd.elements.length;i++)
{
var AbUGo=vvfSd.elements[i];
if((AbUGo.type=="textarea")&&(AbUGo.focused))return true;
}
WA_form_submit(GkmdF);
return false;
}
return true;
}
function WA_addFormDeclaration(mGNep,EhJOn)
{
return WA_addHandler(mGNep,"keypress",svefb)
}
function WA_form_bg(id,lx,ly,arc,lWkxD,bord_col,bg,shadow,tEPOf,QkSiH)
{
WA_bg(id,lx,ly,arc,lWkxD,bord_col,bg,shadow,tEPOf,1.0,true) 
var BHuGE=QkSiH.x;
var PwroQ=0;
var OlLuu=QkSiH.cells
for(var n=0;n<OlLuu.length;n++)
{
var ieaRA=OlLuu[n]
var arc2=0
DjXoY(id,BHuGE,PwroQ+ieaRA.y,QkSiH.w,ieaRA.h,arc2,1,QkSiH.border,[''],false,0,1.0,false)
DjXoY(id,BHuGE,PwroQ+ieaRA.y,ieaRA.w,ieaRA.h,arc2,1,"rgba(0,0,0,0)",[QkSiH.bg],false,0,1.0,false)
}
}
function WA_form_reset(id_form)
{
var form=document.getElementById(id_form);
form.reset() 
}
var BrowserDetect={
init:function(){
this.browser=this.searchString(this.dataBrowser)||"An unknown browser";
this.version=this.searchVersion(navigator.userAgent)||this.searchVersion(navigator.appVersion)||"an unknown version";
this.OS=this.searchString(this.dataOS)||"an unknown OS";
},searchString:function(data){
for(var i=0;i<data.length;i++){
var dataString=data[i].string;var dataProp=data[i].prop;
this.versionSearchString=data[i].versionSearch||data[i].identity;
if(dataString){
if(dataString.indexOf(data[i].subString)!=-1)
return data[i].identity;
}
else if(dataProp)
return data[i].identity;
}
},searchVersion:function(dataString){
var index=dataString.indexOf(this.versionSearchString);
if(index==-1) return;
return parseFloat(dataString.substring(index+this.versionSearchString.length+1));
},
dataBrowser:[
{string:navigator.userAgent,subString:"OmniWeb",versionSearch:"OmniWeb/",identity:"OmniWeb"},{string:navigator.vendor,subString:"Apple",identity:"Safari"},{prop:window.opera,identity:"Opera"},{string:navigator.vendor,subString:"iCab",identity:"iCab"},{string:navigator.vendor,subString:"KDE",identity:"Konqueror"},{string:navigator.userAgent,subString:"Firefox",identity:"Firefox"},{string:navigator.vendor,subString:"Camino",identity:"Camino"},{string:navigator.userAgent,subString:"Netscape",identity:"Netscape"},
{string:navigator.userAgent,subString:"MSIE",identity:"Explorer",versionSearch:"MSIE"},{string:navigator.userAgent,subString:"Gecko",identity:"Mozilla",versionSearch:"rv"},{string:navigator.userAgent,subString:"Mozilla",identity:"Netscape",versionSearch:"Mozilla"}
],dataOS:[
{string:navigator.platform,subString:"Win",identity:"Windows"},{string:navigator.platform,subString:"Mac",identity:"Mac"},{string:navigator.platform,subString:"Linux",identity:"Linux"}
]
};
BrowserDetect.init();
function RGBColor(OlGBx)
{
this.ok=false;this.a=1.0;
if(OlGBx.charAt(0)=='#'){OlGBx=OlGBx.substr(1);}
OlGBx=OlGBx.replace(/ /g,'');
OlGBx=OlGBx.toLowerCase();
var fCHLN=[
{re:/^rgba\((\d{1,3}),\s*(\d{1,3}),\s*(\d{1,3}),\s*(\d{1,2}\.*\d{0,2})\)$/,_process:function(bits){return [ parseInt(bits[1]),parseInt(bits[2]),parseInt(bits[3]),parseFloat(""+bits[4]) ];}},{re:/^rgb\((\d{1,3}),\s*(\d{1,3}),\s*(\d{1,3})\)$/,_process:function(bits){return [ parseInt(bits[1]),parseInt(bits[2]),parseInt(bits[3])];}},{re:/^(\w{2})(\w{2})(\w{2})(\w{2})$/,_process:function(bits){return [ parseInt(bits[1],16),parseInt(bits[2],16),parseInt(bits[3],16),Math.round(parseInt(bits[4],16)*100/255)/100 ];}},{re:/^(\w{2})(\w{2})(\w{2})$/,_process:function(bits){return [ parseInt(bits[1],16),parseInt(bits[2],16),parseInt(bits[3],16) ];}}
];
for(var i=0;i<fCHLN.length;i++){
var aQVsV=fCHLN[i].re;
var tEfgS=fCHLN[i]._process;
var cvfwP=aQVsV.exec(OlGBx);
if(cvfwP){
var ExOem=tEfgS(cvfwP);
this.r=ExOem[0];this.g=ExOem[1];this.b=ExOem[2];this.a=ExOem[3];
this.ok=true;
}
}
this.r=(this.r<0||isNaN(this.r))?0:((this.r>255)?255:this.r);
this.g=(this.g<0||isNaN(this.g))?0:((this.g>255)?255:this.g);
this.b=(this.b<0||isNaN(this.b))?0:((this.b>255)?255:this.b);
this.a=(this.a>1||isNaN(this.a))?1:((this.a<0)?0:this.a);
this.toRGB=function()
{
if(this.a==1)return 'rgb('+this.r+', '+this.g+', '+this.b+')';
return 'rgba('+this.r+', '+this.g+', '+this.b+','+this.a+')';
}
this.toRGB_opaque=function()
{
return 'rgb('+this.r+', '+this.g+', '+this.b+')';
}
this.toHsl=function(){
var r=this.r;var g=this.g;var b=this.b;r/=255,g/=255,b/=255;
var max=Math.max(r,g,b),min=Math.min(r,g,b);
var h,s,l=(max+min)/2;
if(max==min){h=s=0;
}else{
var d=max-min;s=l>0.5?d/(2-max-min):d/(max+min);
switch(max){
case r:h=(g-b)/d+(g<b?6:0);break;
case g:h=(b-r)/d+2;break;
case b:h=(r-g)/d+4;break;
}
h/=6;
}
return [h,s,l];
}
this.PdRXR=function(p,q,t)
{
if(t<0) t+=1;if(t>1) t-=1;if(t<1/6) return p+(q-p)*6*t;if(t<1/2) return q;if(t<2/3) return p+(q-p)*(2/3-t)*6;
return p;
};
this.fromHsl=function(h,s,l){
if(l>1.0)l=1.0
var r,g,b;
if(s==0){r=g=b=l;
}else{
var q=l<0.5?l*(1+s):l+s-l*s;
var p=2*l-q;
r=this.PdRXR(p,q,h+1/3);g=this.PdRXR(p,q,h);b=this.PdRXR(p,q,h-1/3);
}
r=r*255;g=g*255;b=b*255;
r=Math.round(r);g=Math.round(g);b=Math.round(b);
if(r<0)r=-r;if(g<0)g=-g;if(b<0)b=-b
this.r=r;this.g=g;this.b=b;
};
}
function nhNWI(LNnIu,IOXNx)
{
if(document.wa_global_handlers!=undefined)
{
var mGNep=WA_focused_element()
if(mGNep)
{
var tXJxl=document.wa_global_handlers[mGNep+"-"+LNnIu]
if(tXJxl) return tXJxl([mGNep],IOXNx)
}
}
return true;
}
function UYKXo(e)
{
if(window.event){return e.keyCode;}
else 
if(e.which) return  e.which;
return-1;
}
function WA_onkeypress(e)
{
var LBWWa=UYKXo(e);
if(WA_Dialog.KCmWt)
{
if(WA_Dialog.KCmWt.onkeypress(LBWWa))
{
return false;
}
}
return nhNWI("keypress",[LBWWa]);
}
function WA_ondblclick(e)
{
return nhNWI("dblclic",[""]);
}
function WA_onkeydown(e)
{
var LBWWa=UYKXo(e)
if(WA_Dialog.KCmWt)
{
if(WA_Dialog.KCmWt.onkeydown(LBWWa))
{
return false;
}
}
if(LBWWa==13) return true;

if(wa_global_photo_album&&wa_global_photo_album.fullpage_object)
{
var lYsKV=wa_global_photo_album.fullpage_object
return lYsKV.onFullScreenKeydown(LBWWa) 
}
return nhNWI("keydown",[LBWWa]);
}
function WA_genericMouseWheelHandler(e)
{
var delta=0;
if(!e) e=window.event;
if(e.wheelDelta){
delta=e.wheelDelta/120;
if(window.opera) delta=-delta;
}else if(e.detail){
delta=-e.detail/3;
}
if(navigator.userAgent.match(/opera/i)) delta=-delta;
var b_default=false;
if(delta)
{
if(document.wa_global_handlers!=undefined)
{
var mGNep=this.id
var tXJxl=document.wa_global_handlers[mGNep+"-mousewheel"]
if(tXJxl)
{
if(tXJxl([mGNep],[delta]))
{
b_default=true;
}
}
}
}
if(b_default)
if(e.preventDefault)
e.preventDefault();
e.returnValue=!b_default;
}
function WA_addHandler(mGNep,LNnIu,EAtWt)
{
if(document.wa_global_handlers==undefined) document.wa_global_handlers=new Array()
if(LNnIu=="mousewheel")
{
var ohBPB=document.getElementById(mGNep);
if(ohBPB.addEventListener)
ohBPB.addEventListener('DOMMouseScroll',WA_genericMouseWheelHandler,false);
ohBPB.onmousewheel=WA_genericMouseWheelHandler
}
document.wa_global_handlers[mGNep+"-"+LNnIu]=EAtWt
}
function WA_loadPhotoAlbum(mGNep,nqEmK,WhJYw,mGNep_modif)
{
if(typeof(wa_global_photo_album[mGNep])=="undefined")
{
var o=new Array();
o.src_folder=nqEmK
o.size_container=WhJYw
o.id_modif=mGNep_modif
wa_global_photo_album[mGNep]=o;
}
}
function WA_focused_element()
{
return document.wa_global_focused_element
}
function WA_focus(lYsKV)
{
document.wa_global_focused_element=lYsKV.id
}
function WA_loadScript(url,callback,params)
{
var e=document.createElement("script");
e.src=url;
e.type="text/javascript";
e.onerror=function(){callback(params,false);}
if(/msie/i.test(navigator.userAgent)&&!/opera/i.test(navigator.userAgent)){
e.onreadystatechange=function(){
if((this.readyState=='complete')||(this.readyState=='loaded')){
callback(params,true);
}
}
}else
{
e.onload=function(){
if(/opera/i.test(navigator.userAgent))
wa_timeout(callback,0,params,true);
else
callback(params,true);
}
}
document.getElementsByTagName("head")[0].appendChild(e);
}
function WA_blog_declare(fxdtb,UbZbg,lmTmB)
{
if(!document.wa_global_blogs_elements)document.wa_global_blogs_elements=new Array()
if(!document.wa_global_blogs_buttons)document.wa_global_blogs_buttons=new Array()
if(!document.wa_global_blogs_elements[UbZbg])document.wa_global_blogs_elements[UbZbg]=new Array()
document.wa_global_blogs_elements[UbZbg].id_blog=fxdtb
document.wa_global_blogs_elements[UbZbg].has_email=lmTmB
}
function WA_addSearchHandler(mGNep)
{
return WA_addHandler(mGNep,"keypress",cVVJl)
}
function cVVJl(mGNep,IOXNx)
{
var LBWWa=IOXNx[0]
if(LBWWa==13)
{
var NSnNp=mGNep+"-search-input";
WA_onSearch(NSnNp)
return false;
}
return true;
}
function WA_declareSearchIndex(icDld,JNKNd)
{
document.const_wa_search_js=icDld
document.const_wa_search_index_js=JNKNd
}
function WA_onSearch(NSnNp)
{
var IWSLw=document.getElementById(NSnNp);
if(document.wa_search_js_loaded==true)
{
WA_openSearchDialog(IWSLw,document.const_wa_search_index_js)
}
else
{
WA_Dialog.progress();
pvldm(IWSLw)
}
}
function kvXRl(IOXNx)
{
document.wa_search_js_loaded=true
WA_openSearchDialog(IOXNx[0],document.const_wa_search_index_js)
}
function pvldm(YBdXw)
{
WA_loadScript(document.const_wa_search_js,kvXRl,[YBdXw])
}
function jipkB(offset){
var endstr=document.cookie.indexOf(";",offset);
if(endstr==-1)
endstr=document.cookie.length;
return unescape(document.cookie.substring(offset,endstr));
}
function WA_GetCookie(name)
{
var arg=name+"=";
var alen=arg.length;
var clen=document.cookie.length;
var i=0;
while(i<clen)
{
var j=i+alen;
if(document.cookie.substring(i,j)==arg)
return jipkB(j);
i=document.cookie.indexOf(" ",i)+1;
if(i==0) break;
}
return "";
}
function WA_SetCookie(name,value){
var argv=WA_SetCookie.arguments;
var argc=WA_SetCookie.arguments.length;
var expires=(argc>2)?argv[2]:null;
var path=(argc>3)?argv[3]:null;
var domain=(argc>4)?argv[4]:null;
var secure=(argc>5)?argv[5]:false;
document.cookie=name+"="+escape(value)+((expires==null)?"":("; expires="+expires.toGMTString()))+((path==null)?"":("; path="+path))+((domain==null)?"":("; domain="+domain))+((secure==true)?"; secure":"");
}
function WA_bg_menu(mGNep)
{
var CefLp=document.wa_global_menu_declaration[mGNep]
WA_bg(mGNep,CefLp.root_lx,CefLp.root_ly,CefLp.root_corner,CefLp.root_border,CefLp.root_col_border,[CefLp.root_bg],false,0)
var AbUGo=document.getElementById(CefLp.id)
if(!AbUGo)return;
var c=AbUGo.getContext('2d');
c.lineWidth=1
c.strokeStyle=CefLp.root_col_separator
var dDBjW=0.5;

var fArQc=CefLp.root_sizes.length
if(CefLp.root_extend==false)
{
fArQc--;
}
var JYSMv=3;
for(var i=0;i<fArQc;i++)
{
var WhJYw=CefLp.root_sizes[i] 

c.beginPath();
if(CefLp.root_vertical==false)
{
dDBjW+=(WhJYw-1)
c.moveTo(dDBjW,JYSMv)
c.lineTo(dDBjW,CefLp.root_ly-JYSMv)
}
else
{
dDBjW+=(WhJYw)
c.moveTo(JYSMv,dDBjW-1,0)
c.lineTo(CefLp.root_lx-JYSMv,dDBjW-1)
}
c.closePath();
c.stroke()
}
}
function WA_declare_menu(mGNep,CefLp)
{
if(!document.wa_global_menu_declaration)document.wa_global_menu_declaration=new Array();
CefLp.id=mGNep
document.wa_global_menu_declaration[mGNep]=CefLp
WA_bg_menu(mGNep)
}
function WA_declareMarket(mGNep,rLhGr_market,mGNep_modif)
{
if(typeof(wa_global_market.markets[mGNep])=="undefined")
{
var o=new Array();
o.src_folder=rLhGr_market
o.id_modif=mGNep_modif 

o.id=mGNep
wa_global_market.markets[mGNep]=o;
}
}
function WA_button_market_declare(mGNep,WIXQH)
{
if(!document.wa_global_button_market_declaration)document.wa_global_button_market_declaration=new Array();
document.wa_global_button_market_declaration[mGNep]=WIXQH
}
function NUtJL(c,img,IMMgl,pAXqQ,omYvD,JmNhn,aAcAH,PBqLk,HPsRH)
{
c.globalAlpha=PBqLk
if(HPsRH) c.clearRect(0,0,omYvD,JmNhn) 
if(PBqLk==0)return;
if(aAcAH)
{
c.drawImage(img,aAcAH.x,aAcAH.y,aAcAH.width,aAcAH.height,IMMgl,pAXqQ,omYvD,JmNhn)
}
else
{
c.drawImage(img,IMMgl,pAXqQ,omYvD,JmNhn)
}
}
function WA_drawImage(id,uqVgp,IMMgl,pAXqQ,omYvD,JmNhn,aAcAH,PBqLk,HPsRH)
{
if(HPsRH==undefined)HPsRH=true;
if(PBqLk==undefined)PBqLk=1.0;
var el=document.getElementById(id)
if(!el)return
var c=el.getContext('2d');
c.shadowOffsetX=0;c.shadowOffsetY=0;c.shadowBlur=0;
if(c.old_src==uqVgp)
{
NUtJL(c,c.Hrfsf,IMMgl,pAXqQ,omYvD,JmNhn,aAcAH,PBqLk,HPsRH)
return;
}
var img=new Image();
img.AqRYC=el.AqRYC
img.onload=function()
{
c.old_src=uqVgp
c.Hrfsf=this;
NUtJL(c,this,IMMgl,pAXqQ,omYvD,JmNhn,aAcAH,PBqLk,HPsRH)
}
img.src=uqVgp;
}

-->
